2006-01-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, shared-ffmpeg.patch: removed, code now in upstream cvs
	* DEPENDS: use the new switches for shared ffmpeg support

2006-01-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: add missing '&&' so it fails again on failing patches
	* shared-ffmpeg.patch: updated for latest cvs, fixes bug #10430

2006-01-14 Robin Cook <rcook@wyrms.net>
	* PRE_BUILD: do sedit on configure to set gui as the configure seems
	  to be broken processing some configure options
	* BUILD: added missing $OPTS

2005-11-20 Arwed v. Merkatz <v.merkatz@gmx.net>
	* shared-ffmpeg.patch: updated so it applies to the latest cvs again

2005-11-10 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added optional_depends on libmpcdec to the cvs version

2005-09-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PREPARE, CONFIGURE: use values of the old variables as defaults for
	  the new ones so user choices don't get lost

2005-09-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PREPARE, DETAILS: updated to multi-version standard
	* CONFIGURE, DEPENDS: prefix variables with MPLAYER, support choice
	  between gtk+ and gtk+2 for the gui in the cvs version
	* BUILD: use new variables, removed gcc 3.3 mp3lib hack, changed
	  confdir to use $TRACK_ROOT instead of $INSTALL_ROOT
	* FINAL: removed the dispel MPlayer-gui hack
	* DEPENDS, DETAILS: only use gcc 3.4 for release version, not cvs
	* DEPENDS: changed configure options for libvorbis
	* BUILD, PRE_BUILD: moved patching to PRE_BUILD

2005-09-02 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: Corrected SOURCE_URL[0], added two more

2005-08-27 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 1.0pre7try2

2005-06-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: only apply mplayer-headers.patch to non cvs version

2005-05-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: add --cc=gcc to OPTS, otherwise cvs mplayer tries to compile
	  with gcc 4.0 which breaks badly

2005-05-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* shared-ffmpeg.patch: added another fix to make cvs mplayer compile
	  again (ae_lavc.c not getting compiled)

2005-04-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, DEPENDS, DETAILS: use gcc 3.4

2005-04-20 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, INSTALL, FINAL: use $INSTALL_ROOT

2005-04-20 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS: updated to 1.0pre7

2005-02-28 Eric Sandall <eric@sandall.us>
	* CONFLICTS: Removed conflicting spell

2005-01-30 Arjan Bouter <abouter@sourcemage.org>
	* BUILD: spell_installed -> spell_ok conversion

2005-01-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: only remove -fomit-frame-pointer for gcc 3.3.x (bug #8051)

2004-12-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre6
	* BUILD, live-api-change.patch: removed patch
	* BUILD, mplayer-1.0_pre5-yuv2rbg_kludge.patch: removed patch
	* DEPENDS: added optional_depends on ladspa, moved polypaudio
	  optional_depends so its available for both cvs and release,
	  added optional_depends on X11-LIBS,
	  added --disable switches where available to the optional_depends,
	  reorganized file
	* BUILD, CONFIGURE: added option to disable building of mencoder

2004-12-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre5try2

2004-12-05 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: add --with-livelibdir switch to the live optional_depends,
	  seems to be needed by latest cvs

2004-11-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added optional_depends on polypaudio for cvs mplayer
	* shared-ffmpeg.patch: updated again

2004-10-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* shared-ffmpeg.patch: updated so cvs mplayer compiles

2004-10-14 Arwed v. Merkatz <v.merkatz@gmx.net>
	* desktop/mplayer.desktop: added TryExec=gmplayer so it only shows in
	  the menu if mplayer was compiled with gui support, changed category
	  Multimedia to AudioVideo, Multimedia is not a valid category

2004-10-13 Arjan Bouter <abouter@sourcemage.org>
	* desktop/mplayer.desktop: added desktop files

2004-08-03 Eric Sandall <eric@sandall.us>
	* DEPENDS: SDL renamed to sdl
	  Formatted to Guru Handbook

2004-07-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: renamed to mplayer
	* CONFLICTS: removed conflicts MPlayer-cvs, added conflicts MPlayer
	* DEPENDS: changed MPlayer-{fonts,gui} to mplayer-{fonts,gui}

2004-07-20 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, live-api-change.patch: fix compilation with latest live.com
	  libraries

2004-07-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, mplayer-1.0_pre5-yuv2rbg_kludge.patch:
	  patch to compile on ppc

2004-07-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre5

2004-07-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: changed w32codec to win32codecs, removed MPlayer-codecs,
	  added optional_depends on quicktime-codecs, real-codecs and
	  xanim-codecs

2004-06-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, INSTALL, POST_INSTALL, FINAL: moved to build_api2
	* CONFIGURE, DEPENDS, DETAILS, PREPARE: use config_query

2004-06-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added optional_depends on libtheora

2004-05-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, mplayer-headers.patch: fix compilation with latest
	  glibc-kernel-headers

2004-05-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: added --mandir switch so man pages go to /usr/share/man

2004-05-14 Eric Sandall <eric@sandall.us>
	* DEPENDS: Depends on any provider of CVS (Bug #6396)

2004-05-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: add --enable-libavcodec to OPTS if compiling the non cvs
	  version, fixes bug #6805

2004-04-28 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre4
	* BUILD, matroska-C-demux.patch: removed the patch
	* DEPENDS: added optional_depends on libcaca
	* BUILD, DEPENDS: only use shared ffmpeg with cvs mplayer

2004-03-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre3try2 (security fix)

2004-02-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, linux-2.6.patch: removed patch

2004-02-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PROVIDES: removed

2004-01-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, DEPENDS, DETAILS, PREPARE: merged MPlayer-cvs spell into this
	  one, now asks whether to build 1.0pre3 or cvs version

2004-01-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, DEPENDS, matroska-C-demux.patch: backported the internal
	  matroska C demuxer from MPlayer-cvs, removed optional_depends on
	  libmatroska

2004-01-20 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: really disable libavcodec if the optional dependency on
	  LIBAVCODEC is not met (bug #5537)

2003-12-23 hgg <hgreig@bigpond.net.au>
	* BUILD: 2.6 kernel fb.h is now usable so it needs the mencoder patch 
	  (Merry Christmas Arwed)

2003-12-11 Unet <audio@sourcemage.org>
	* DEPENDS: mad -> libmad

2003-12-09 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre3
	* BUILD, CONFIGURE, DEPENDS, MPlayer-fontconfig.patch:
	  my patch finally made it into mplayer, now fontconfig is just a normal
	  optional_depends :)
	* BUILD, alsa-1.0.patch: removed alsa patch

2003-12-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added optional_depends on faad2

2003-11-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, Makefile.patch: make install shouldn't fail if MPlayer-fonts
	  is installed

2003-11-28 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0pre2
	* DEPENDS: added optional_depends LIBAVCODEC, libmatroska, removed
	  faad2 (uses internal one for now)
	* BUILD: add sedit to remove -fomit-frame-pointer, adjust for new
	  patches
	* alsa-1.0.patch: updated
	* MPlayer-0.90-fontconfig.patch, MPlayer-fontconfig.patch: updated
	* BUILD, shared-ffmpeg.patch: added so MPlayer uses the system installed
	  ffmpeg(-cvs)

2003-11-24 Eric Sandall <eric@sandall.us>
	* DEPENDS: Can optionally use directfb for direct
	  framebuffer access

2003-11-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, alsa-1.0.patch: make it compile with alsa-lib 1.0(pre1)

2003-11-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, POST_INSTALL: move installation of default config files to
	  BUILD so they are tracked (bug #4655)

2003-10-28 Eric Sandall <eric@sandall.us>
	* PROVIDES: Uppercase provides

2003-10-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: remove optional_depends on libdvdnav

2003-10-12 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: only copy luxisr.ttf if it exists (bug #4420)
	* DETAILS: added DOCS so that gather_docs does its job

2003-09-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.92, fixes a remote vulnerability

2003-08-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.91

2003-05-14 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFLICTS: added conflicts MPlayer-cvs
	* PROVIDES: added PROVIDES mplayer

2003-04-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, MPlayer-0.90-fontconfig.patch: added fontconfig support patch

2003-04-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFIGURE, DEPENDS: reworked the font/freetype2 stuff, now
	  optional_depends

2003-04-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.90
	* POST_INSTALL: changed POST_INSTALL to set default skin to the new
	  default skin (Blue)

2003-03-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.90rc5

2003-03-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added optional_depends on faad2

2003-03-09 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added optional_depends on live

2003-02-10 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.90rc4
	* TRIGGERS: removed unneded zlib trigger

2003-01-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added esound as optional_depends

2003-01-21 Seth Woolley <seth@tautology.org>
	* DEPENDS: reversing a52dec as optional_depends as it doesn't need it

2003-01-21 Seth Woolley <seth@tautology.org>
	* DETAILS: rc3 updated (snakebyte)

2003-01-13 Seth Woolley <seth@tautology.org>
	* DEPENDS: added xmms as optional_depends thanks to Arwed

2003-01-12 Seth Woolley <seth@tautology.org>
	* DETAILS: rc2 update

2002-12-15 Seth Woolley <seth@tautology.org>
	* DEPENDS: added a52dec as optional_depends

2002-12-13 Seth Woolley <seth@tautology.org>
	* DEPENDS: added xvid (z-rejected) optional_depends.
	  changed to an optional depends for MPlayer-fonts when freetype2
	  is not selected (so that you can have neither).

2002-12-09 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.90rc1
	* CONFIGURE: added option for osd menu
	* DEPENDS: added optional dependency on MPlayer-codecs

2002-11-25 Seth Woolley <seth@tautology.org>
	* DETAILS: note to self: gotta change the md5 when you bump versions.

2002-11-23 Seth Woolley <seth@tautology.org>
	* DETAILS: bumped to pre10.

2002-10-25 Seth Woolley <seth@tautology.org>
	* DEPENDS: bug 1197 fix, removed optional_depends of libdivxdecore

2002-10-25 Seth Woolley <seth@tautology.org>
	* TRIGGERS: Added TRIGGERS file for zlib
	* DETAILS: UPDATED incremented to force recompile for zlib

2002-10-06 Seth Woolley <seth@tautology.org>
	* BUILD: Appended CFLAGS= to ./configure in BUILD to let it handle
	  its own compile options.

2002-09-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: Updated to pre8.
	* ALL: Basically rewrote the spell with the real optional dependencies,
	  a cleaner BUILD (well, it would be really cleaner if the MPlayer
	  developers had provided a working makefile ;) and a sane default config,
	  done in POST_INSTALL.
	  Moved the font installation in a seperate spell MPlayer-fonts, since
	  they are only needed if MPlayer is compiled without freetype2 support.
	  Moved the gui skin installation in a seperate spell MPlayer-gui, so it
	  doesn't get downloaded if the user doesn't want the gui.

2002-09-03 Unet <unet@sourcemage.org>
	* DETAILS: Updated to pre6. Will fix the MD5 field as soon as my 56k
	  connection will permit...

2002-06-10 Unet <unet@sourcemage.org>
	* DETAILS: Updated to 0.90pre5, added MAINTAINER and LICENSE field

2002-05-31 Arwed v. Merkatz <v.merkatz@gmx.net>
	* ALL: Cleaned up the spell and fixed some issues:
	  The fonts get installed when the gui isn't build (the fonts actually
	  don't have anything to do with the gui, they are used for subtitles
	  and the osd).
	  The spell only installs the default skin for the gui if it is build,
	  there are now 20 skins for the mplayer gui, it's not user friendly to
	  download all, users can download their preffered skin to their .mplayer
	  directory like they can for xmms).
	  dispel and resurrect now really works (including the osd font).

2002-05-14 Unet <unet@sourcemage.org>
	* DETAILS: Updated to 0.90.pre4

2002-05-07 Unet <unet@sourcemage.org>
	* DETAILS: Updated to 0.90.pre3.

2002-04-30 Unet <unet@sourcemage.org>
	* DETAILS: Moved to version 0.90.pre2.

2002-04-23 Eric Schabell <eric@schabell.com>
	* HISTORY: Added this History file
	* DETAILS: version 0.90.pre1.

